<?php

require_once("config.inc.php");

$bilder = new MyCSV("bilder");

$bild = $bilder->each();
$untertitel = strftime($datumsformat, strtotime($bild['zeit']));
$id = $bild['id'];

// Beginn der View-Komponente des Skriptes.

?><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="de">
  <head>
    <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
    <title>TM::Gallery - <?=$untertitel?></title>
    <meta name="author" content="Thiemo Mttig">
    <meta name="robots" content="index,follow">
    <link rel="top" href="/" title="Zur Startseite">
    <link rel="up" href="/" title="Zur Startseite">
    <link rel="next" href="<? if (! $url_rewrite): ?>bild.php?id=<? endif; ?><?=$id?>" title="Zum ersten Bild">
    <link rel="author" href="http://maettig.com/" title="Thiemo Mttig">
    <link rel="alternate" type="application/rss+xml" title="RSS 1.0-Version der Kommentare" href="feed">
    <link rel="stylesheet" type="text/css" href="../stylesheet.css">
  </head>
  <body>

    <h1>
      TM::Gallery
      <span class="untertitel"><?=$untertitel?></span>
    </h1>

    <p class="menue">
      <a href="../">&lt; Zurck zur Startseite</a>
      <br>
      <a href="<? if (! $url_rewrite): ?>bild.php?id=<? endif; ?><?=$id?>">Zum ersten Bild &gt;</a>
      |
      <a href="kommentare.php">Neueste Kommentare &gt;</a>
    </p>

    <p>
      Grere Versionen dieser Bilddateien oder Papierabzge gibt es auf Wunsch bei
      <a href="http://maettig.com/">Thiemo Mttig</a>.
      Notiert dazu bitte die gewnschten Bildnummern, die ihr am Fu jedes Bildes (oder in der Adresszeile) findet.
    </p>

    <p>
<?php
$bilder->reset();
while ($datensatz = $bilder->each())
{
    echo '<a href="';
    if (! $url_rewrite) echo 'bild.php?id=';
    echo $datensatz['id'] . '"><img';
    echo ' src=".thumbs/' . $datensatz['dateiname'] . '"';
    echo ' alt="' . date("j.n. G:i", strtotime($datensatz['zeit'])) . '"';
    echo ' title="Bild #' . $datensatz['id'] . ', ' . date("G:i", strtotime($datensatz['zeit'])) . ' Uhr';
    echo ' (' . round($datensatz['bytes'] / 1024) . ' KB)"';
    echo ' width="' . $datensatz['vorschaubreite'] . '"';
    echo ' height="' . $datensatz['vorschauhoehe'] . '"';
    echo ' id="i' . $datensatz['id'] . '"';
    echo "></a>\n";
}
?>
    </p>

    <div class="rss">
      <a href="feed" title="RSS 1.0-Version der Kommentare">RSS</a>
    </div>

    <address>
      PHP-Skripte von <a href="http://maettig.com/">Thiemo Mttig</a>
    </address>

  </body>
</html>