<?php

require_once("config.inc.php");

$kommentare = new MyCSV("kommentare");
$bilder = new MyCSV("bilder");

// Beginn der View-Komponente des Skriptes.

?><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="de">
  <head>
    <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
    <title>TM::Gallery - Kommentare</title>
    <meta name="author" content="Thiemo Mttig">
    <meta name="robots" content="noindex,follow">
    <link rel="stylesheet" type="text/css" href="../stylesheet.css">
  </head>
  <body>

    <h1>
      TM::Gallery
      <span class="untertitel">Kommentare</span>
    </h1>

    <p class="menue">
      <a href="./">&lt; Zurck zur bersicht</a>
    </p>

    <dl>
<?php
$kommentare->sort("zeit DESC");
$kommentare->limit(10);
while ($datensatz = $kommentare->each())
{
    $bild = $bilder->data($datensatz['bilder_id']);

    echo '<dt class="mini">';
    echo '<a href="';
    if (! $url_rewrite) echo 'bild.php?id=';
    echo $bild['id'] . '"><img';
    echo ' src=".thumbs/' . $bild['dateiname'] . '"';
    echo ' alt="' . date("j.n. G:i", strtotime($bild['zeit'])) . '"';
    echo ' title="' . date("j.n., G:i", strtotime($bild['zeit'])) . ' Uhr"';
    echo ' width="' . (int)round($bild['vorschaubreite'] / 2.5) . '"';
    echo ' height="' . (int)round($bild['vorschauhoehe'] / 2.5) . '"';
    echo '></a>';
    echo '</dt>';

    echo "<dt>";
    if (! empty($datensatz['name']))
    {
        echo '<span class="name">' . htmlspecialchars($datensatz['name']);
        echo '</span> schrieb am ';
    }
    echo strftime("$datumsformat, %H:%M Uhr", strtotime($datensatz['zeit']));
    echo ":</dt>\n";

    // berzhlige Zeilenumbrche auf maximal zwei (eine Leerzeile) reduzieren.
    $kommentar = preg_replace('/(\s*?\n){3,}/s', "\n\n", $datensatz['kommentar']);
    $kommentar = nl2br(htmlspecialchars($kommentar));
    // Maskierte Sonderzeichen so anzeigen, wie sie gedacht waren.
    $kommentar = preg_replace('/&amp;(?=#\d{3,4};)/', '&', $kommentar);
    // Zollzeichen durch typografische Anfhrungszeichen ersetzen.
    $kommentar = preg_replace('{(?<!\w)&quot;(.*?)&quot;(?!\w)}s',
        '&bdquo;\1&ldquo;', $kommentar);

    echo "<dd>" . $kommentar . "</dd>\n";
}
?>
    </dl>

  </body>
</html>